Shopware 5.2 & SOFORT Überweisung

wir würde gerne diesen Plugin (http://store.shopware.com/sofort00374/sofort-ueberweisung.html) für unseren Onlineshop nutzen.
Leider ist diese Version mit unsere Shopware 5.2.5 nicht Kompatible.

Von SOFORT GmbH haben wir folgende Antwort erhalten: „Uns ist leider auch noch nicht bekannt, wann das Modul verfügbar sein wird“

Hat jemand Erfahrung, wie lange es etwa dauern kann?? Gibt es Ersatz Plugin vielleicht kostenpflichtig?

 

Für Sofortüberweisung gibt es kein “Ersatz Plugin”. Du musst bei der Shopware Version 5.1.6 bleiben oder bietest kein Sofortüberweisung an.

Im Grunde gibt es ja auch noch andere Zahlungsplugins die über den Umweg wie Payever http://store.shopware.com/pevr01627/payever-alle-zahlarten.-kostenfrei-und-in-minuten..html z.b. auch Sofortüberweisung integriert haben. Da kannst du auch mal schauen.

Würde uns auch interessieren wann da mit Sofortüberweisung endlich mal was vorwärts geht. Dauert ja ewig. :frowning:

Unglaublich, dass so eine wichtige Zahlart noch nicht verfügbar ist.

Über Umwege würde ich das für Sofortüberweisung nicht machen, da das zusätzlich Kosten erzeugen wird.

 

Viele Grüße

Matthias

 

Also, durch “try and test” habe ich mal folgendes probiert. Unseren Shop auf 5.2.6 mit einem Update versehen und per Testkonto mit Sofortüberweisung konnte ich erfolgreich eine Testüberweisung machen und den Artikel in unserem Shop kaufen.

Wer sagt denn eigentlich, dass die Version vom Sofortüberweisung Plugin nicht läuft in der SW 5.2.6? Gut ich selbst mit im Grunde auch nur davon ausgegangen, dass beim Update ja angezeigt wird, dass es nicht kompatibel wäre. Mag sein, aber mein test lief erfolgreich.

Shopware Version 5.2.6

Plugin von Sofortüberweisung Version: 2.3.1

Natürlich habe ich auch getestet aber bei mir klappt das leider nicht :frowning:

Hast du gleiche Vorraussetzungen wie bei uns?

Shopware Version 5.2.6

Plugin von Sofortüberweisung Version: 2.3.1

Nein. Shopware Version 5.2.5 Plugin von Sofortüberweisung Version: 2.3.1

Welche Fehlermeldung erhälst du bei  Nutzung von Sofortüberweisung? Weil bei uns läuft es auch in der angeblich nicht kompatiblem Version durch.

Die gewählte Zahlart ist leider nicht möglich, oder wurde auf Kundenwunsch abgebrochen. Bitte wählen Sie eine andere Zahlart.

Hast du im Testmodus auch getestet, wenn du im Sofortüberweisung Backend Account den Zugriff auf Testmodus stellst? Kommt da die gleiche Meldung, wenn du die Testkonten verwendest?

Neulich gleiches Problem ge´habt und bei SOFORT angerufen und die meinten “man arbeite dran”…aha…na dann

nein im Testmodus habe ich noch nicht getestet, aber wenn schon Live nicht geht hat das dann ein Sinn?

@moni schrieb:

nein im Testmodus habe ich noch nicht getestet, aber wenn schon Live nicht geht hat das dann ein Sinn?

Das macht schon Sinn. 

Update auf Shopware Version 5.2.6

Plugin von Sofortüberweisung Version: 2.3.1 und mit Tesmodus testen, wenn das klappt, dann klappt auch der Produktivmodus, bei uns klappte es jeden falls, da du bisher nicht die gleiche Config wie wir verwendest, scheint da noch irgendwo der Wurm zu sein.

Schon mit 5.2.6 und Testmodus getestet?

So Update gemacht auf: Shopware Version 5.2.6 aber nun lässt sich ja der Plugin von Sofortüberweisung nicht installieren?

Da dieses Plugin seit der 5.1.6 bei uns drinn ist, brauchte es somit nicht neu installiert werden. Scheinbar geht es dann wenn es neu installiert wird nicht zu installieren.

@monia schrieb:

So Update gemacht auf: Shopware Version 5.2.6 aber nun lässt sich ja der Plugin von Sofortüberweisung nicht installieren?

Hallo,

natürlich lässt sich ein Plugin, das für die eingesetzte Shopware Version (noch) nicht freigegeben ist, auch nicht in dieser Version installieren (ist ja auch irgendwie logisch). Das fängt auch das System selbst ab.

Wenn es bereits installiert war und dann das Shopware Update gemacht wurde, kann es weiterhin funktionieren - muss es aber nicht (da es ja noch nicht dafür freigegeben wurde). Ebenso sollte man das Plugin nicht deaktivieren, da es dann sicherlich auch nicht mehr aktivierbar ist.

Beste Grüße

Sebastian

1 Like

Gibt es hier schon Neuigkeiten?

Mittlerweile läuft ja schon Shopware 5.2.8
Sofort.com kommt ja gar nicht mehr hinterher. :frowning:

@monia schrieb:

So Update gemacht auf: Shopware Version 5.2.6 aber nun lässt sich ja der Plugin von Sofortüberweisung nicht installieren?

Datei: Plugins/Community/Frontend/SofortPayment/Components/Services/Setup.php

In der install() und in der softUpdate() die Translation Calls auskommentieren und die Menüeinträge für SW 5.2 in der _applyAdminViewModifications() anpassen.

Aus:

    private function _applyAdminViewModifications()
    {
        try {
            $parent = $this->_bootstrap->Menu()->findOneBy(array('label', 'logfile');
            $this->_bootstrap->createMenuItem(array(
                                                   'label' => 'Sofort AG Log',
                                                   'class' => 'sprite-cards-stack',
                                                   'active' => 1,
                                                   'controller' => 'SofortLogView',
                                                   'action' => 'index',
                                                   'parent' => $parent
                                              ));

            $parent = $this->_bootstrap->Menu()->findOneBy('label', 'Zahlungen');
            $this->_bootstrap->createMenuItem(array(
                                                   'label' => 'Sofort AG Orders',
                                                   'class' => 'sprite-cards-stack',
                                                   'active' => 1,
                                                   'controller' => 'SofortOrderView',
                                                   'action' => 'index',
                                                   'parent' => $parent
                                              ));
        } catch (Exception $exception) {
            throw new Exception("can not create menuentry." . $exception->getMessage());
        }
    }

Wird:

    private function _applyAdminViewModifications()
    {
        try {
            $parent = $this->_bootstrap->Menu()->findOneBy(array('label' => 'logfile'));
            $this->_bootstrap->createMenuItem(array(
                                                   'label' => 'Sofort AG Log',
                                                   'class' => 'sprite-cards-stack',
                                                   'active' => 1,
                                                   'controller' => 'SofortLogView',
                                                   'action' => 'index',
                                                   'parent' => $parent
                                              ));

            $parent = $this->_bootstrap->Menu()->findOneBy(array('label' => 'Zahlungen'));
            $this->_bootstrap->createMenuItem(array(
                                                   'label' => 'Sofort AG Orders',
                                                   'class' => 'sprite-cards-stack',
                                                   'active' => 1,
                                                   'controller' => 'SofortOrderView',
                                                   'action' => 'index',
                                                   'parent' => $parent
                                              ));
        } catch (Exception $exception) {
            throw new Exception("can not create menuentry." . $exception->getMessage());
        }
    }

Damit sollte das Modul erstmal wieder installierbar sein.

Das Update von Sofortüberweisung ist ja nun endlich da :slight_smile:

Ich frag nur, weil im Changelog nichts dazu steht.

 

Hat es schon jemand getestet?

Viele Grüße

Matthias

 

Guten Morgen Matthias,

vielen Dank für die Info. Habs eben getestet und es scheint zu funktionieren! Yeahhh :slight_smile:

LG,

Chris

1 Like